# Class AnthropicError

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an error response from the Anthropic API.

    public class AnthropicError

Inheritance
  object
  AnthropicError

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### AnthropicError(Error)

Initializes a new instance of the AnthropicError class.

    public AnthropicError(Error error)

#### Parameters

`error` Error

  The error as an Error object.

## Properties

### Error

The error object.

    public Error Error { get; init; }

#### Property Value

Error

### Type

The type of the error.

    public string Type { get; init; }

#### Property Value

string